<?php
/**********************************************************************************
 *   Copyright(C) 2002-2004 David Stevens
 *
 *   This file is part of OpenBiblio.
 *
 *   OpenBiblio is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OpenBiblio is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OpenBiblio; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************************
 */

require_once("../database_constants.php");
require_once("../classes/Localize.php");
$loc = new Localize(MAIN_LOCALE,"install");
 
include("../install/header.php");

?>
<br>

<?php
  require_once("../classes/InstallQuery.php");

  $installQ = new InstallQuery();
  @$installQ->connect();
  if ($installQ->errorOccurred()) {
    @$installQ->close();
    ?>
      <?php print $loc->getText("indexErr1"); ?>
        <pre>
    <?php echo $installQ->getDbError(); ?>
        </pre>
      <?php print $loc->getText("indexErr2"); ?>
      <ol>
        <li><?php print $loc->getText("indexInstr1"); ?> (<a href="../install_instructions.html#step4"><?php print $loc->getText("indexStep"); ?> 4</a> <?php print $loc->getText("indexInstInstr"); ?>)</li>
        <li><?php print $loc->getText("indexInstr2"); ?> (<a href="../install_instructions.html#step5"><?php print $loc->getText("indexStep"); ?> 5</a> <?php print $loc->getText("indexInstInstr"); ?>)</li>
        <li><?php print $loc->getText("indexInstr3"); ?> (<a href="../install_instructions.html#step8"><?php print $loc->getText("indexStep"); ?> 8</a> <?php print $loc->getText("indexInstInstr"); ?>)</li>
      </ol>
      <?php print $loc->getText("indexInstr4"); ?> <a href="../install_instructions.html"><?php print $loc->getText("indexInstr5"); ?></a> <?php print $loc->getText("indexInstr6"); ?>
    <?php
    include("../install/footer.php");
    exit();
  }
  $installQ->close();
  echo $loc->getText("indexStart")."<br>\n";

?>
<br>
<h1><?php print $loc->getText("installHeadline"); ?></h1>
<blockquote>
  <form name="installForm" method="POST" action="../install/install.php">
    <table cellpadding=0 cellspacing=0 border=0>
      <tr>
        <td><font class="primary"><?php print $loc->getText("indexLang"); ?></font></td>
        <td><select name="locale">
<?php
  require_once("../locale/language_list.php");
  foreach($locales as $langCode => $langDesc) {
    echo "<option value=\"".$langCode."\">".$langDesc."\n";
  }
?>
        </select></td>
      </tr>
      <tr>
        <td rowspan="2" valign="top"><font class="primary"><?php print $loc->getText("indexTest"); ?></font></td>
        <td><input type="checkbox" name="installTestData" value="yes"></td>
      </tr>
      <tr>
        <td><input type="submit" value="<?php print $loc->getText("indexInstall"); ?>"></td>
      </tr>
    </table>
  </form>
</blockquote>
<br>
<h1><?php print $loc->getText("indexUpdateHead"); ?></h1>
<blockquote>
  <font class="error"><?php print $loc->getText("indexAttention"); ?></font>
  <form name="updateForm" method="POST" action="../install/update030.php">
  <input type="submit" value="<?php print $loc->getText("indexUpdate"); ?>"></td>
  </form>
</blockquote>

<?php include("../install/footer.php"); ?>
