<?php
/**********************************************************************************
 *   Copyright(C) 2002, 2003 David Stevens
 *
 *   This file is part of OpenBiblio.
 *
 *   OpenBiblio is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OpenBiblio is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OpenBiblio; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************************
 */

  if (count($_POST) == 0) {
    header("Location: ../install/index.php");
    exit();
  }
  
  require_once("../database_constants.php");
  require_once("../classes/Localize.php");
  $loc = new Localize(MAIN_LOCALE,"install");

  include("../install/header.php");

  require_once("../classes/InstallQuery.php");
  require_once("../classes/SettingsQuery.php");
  require_once("../classes/Settings.php");
  require_once("../functions/errorFuncs.php");
  require_once("../install/installFuncs.php");
  require_once("../install/tableList.php");

  $locale = $_POST["locale"];

  # table array
  $sqlDir="sql/";
  $domainDataDir="../locale/".$locale."/sql/";

  if (isset($_POST["installTestData"])) {
    if ($_POST["installTestData"] == "yes") {
      $domainTables[] = "biblio";
      $domainTables[] = "biblio_copy";
      $domainTables[] = "member";
    }
  }
  
?>
<br>
<h1><?php print $loc->getText("installHeadline"); ?></h1>

<!--This install module is still not complete.  Please follow the
<a href="../install_instructions.html">Install Instructions</a> to install OpenBiblio
instead of this module.<br><br-->
<?php

  # testing connection and current version
  $setQ = new SettingsQuery();
  $setQ->connect();
  if ($setQ->errorOccurred()) {
    $setQ->close();
    displayErrorPage($setQ);
    exit();
  }
  echo $loc->getText("installOK")."<br>\n";

  #************************************************************************************
  #* show warning message if database exists.
  #************************************************************************************
  $setQ->execSelect();
  if ($setQ->errorOccurred()) {
    echo $loc->getText("installCreate")."<br>\n";
  } else {
    $set = @$setQ->fetchRow();
    if (!$set) {
      $version="unknown";
    } else {
      $version=$set->getVersion();
    }
    if (!isset($_POST["confirm"]) or ($_POST["confirm"] != "yes")){
      ?>
        <form method="POST" action="../install/install.php">
        OpenBiblio (version <?php echo $version;?>) <?php print $loc->getText("installAlready"); ?><br>
        <input type="hidden" name="confirm" value="yes">
        <input type="hidden" name="locale" value="<?php echo $locale; ?>">
        <input type="hidden" name="installTestData" value="<?php if (isset($_POST["installTestData"])) echo "yes"; ?>">
        <input type="submit" value="<?php print $loc->getText("installCont"); ?>">
        <input type="button" onClick="parent.location='../install/cancel_msg.php'" value="<?php print $loc->getText("installStop"); ?>">
        </form>
      <?php
      $setQ->close();
      include("../install/footer.php");
      exit();
    }
  }

  $setQ->close();

  #************************************************************************************
  #* creating each table listed in the $tables array
  #************************************************************************************
  $installQ = new InstallQuery();
  $installQ->connect();
  foreach($tables as $tableName) {
    # dropping the table if it exists
    @$result = $installQ->dropTable($tableName);
    if ($installQ->errorOccurred()) {
      echo "\n<!-- db_errno = ".$installQ->getDbErrno()."-->\n";
      echo "<!-- db_error = ".$installQ->getDbError()."-->\n";
      echo "<!-- SQL = ".$installQ->getSQL()."-->\n";
      $installQ->clearErrors();
    } else {
      print $loc->getText("installTable").$tableName.$loc->getText("installDel")."<br>";
      flush();
    }

    # creating table
    $filename = $sqlDir.$tableName.".sql";
    if (!executeSqlFile($installQ, $filename)) {
      $installQ->close();
      exit();
    }

    print $loc->getText("installTable").$tableName.$loc->getText("installTaCrea")."<br>";
    for ($i=0; $i<50; $i++) print ("                                                         ");
    flush();
  }

  foreach($domainTables as $tableName) {
    # inserting domain data
    $filename = $domainDataDir.$tableName.".sql";
    if (!executeSqlFile($installQ, $filename)) {
      $installQ->close();
      exit();
    }

    print $loc->getText("installTable2").$tableName.$loc->getText("installIns")."<br>";
    for ($i=0; $i<50; $i++) print ("                                                         ");
    flush();
  }

  $installQ->close();

?>
<br>
<?php print $loc->getText("installReady1"); ?><br>
<a href="../home/index.php"><?php print $loc->getText("installReady2"); ?></a>


<?php include("../install/footer.php"); ?>
