<?php
/**********************************************************************************
 *   Copyright(C) 2002, 2003, 2004 David Stevens
 *
 *   This file is part of OpenBiblio.
 *
 *   OpenBiblio is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OpenBiblio is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OpenBiblio; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************************
 */

/**********************************************************************************
 *   Instructions for translators:
 *
 *   All gettext key/value pairs are specified as follows:
 *     $trans["key"] = "<php translation code to set the $text variable>";
 *   Allowing translators the ability to execute php code withint the transFunc string
 *   provides the maximum amount of flexibility to format the languange syntax.
 *
 *   Formatting rules:
 *   - Resulting translation string must be stored in a variable called $text.
 *   - Input arguments must be surrounded by % characters (i.e. %pageCount%).
 *   - A backslash ('\') needs to be placed before any special php characters 
 *     (such as $, ", etc.) within the php translation code.
 *
 *   Simple Example:
 *     $trans["homeWelcome"]       = "\$text='Welcome to OpenBiblio';";
 *
 *   Example Containing Argument Substitution:
 *     $trans["searchResult"]      = "\$text='page %page% of %pages%';";
 *
 *   Example Containing a PHP If Statment and Argument Substitution:
 *     $trans["searchResult"]      = 
 *       "if (%items% == 1) {
 *         \$text = '%items% result';
 *       } else {
 *         \$text = '%items% results';
 *       }";
 *
 **********************************************************************************
 */

#****************************************************************************
#*  Translation text for class Biblio
#****************************************************************************
$trans["biblioError1"]            = "\$text = 'Der Standort wird bentigt.';";

#****************************************************************************
#*  Translation text for class BiblioField
#****************************************************************************
$trans["biblioFieldError1"]       = "\$text = 'Das Feld wird bentigt.';";
$trans["biblioFieldError2"]       = "\$text = 'Der Tag muss numerisch sein.';";

#****************************************************************************
#*  Translation text for class BiblioQuery
#****************************************************************************
$trans["biblioQueryQueryErr1"]    = "\$text = 'Fehler beim Zugriff auf die Medieninformation.';";
$trans["biblioQueryQueryErr2"]    = "\$text = 'Fehler beim Zugriff auf die Medienfelder.';";
$trans["biblioQueryInsertErr1"]   = "\$text = 'Fehler beim Einfgen des neuen Mediums.';";
$trans["biblioQueryInsertErr2"]   = "\$text = 'Fehler beim Einfgen des neuen Medienfeldes.';";
$trans["biblioQueryUpdateErr1"]   = "\$text = 'Fehler beim Aktualisieren des Mediums.';";
$trans["biblioQueryUpdateErr2"]   = "\$text = 'Fehler bei der Aktualisierung des Mediums beim Medienfeld.';";
$trans["biblioQueryDeleteErr"]    = "\$text = 'Fehler beim Lschen des Mediums.';";

#****************************************************************************
#*  Translation text for class BiblioSearchQuery
#****************************************************************************
$trans["biblioSearchQueryErr1"]   = "\$text = 'Fehler beim Zhlen der Suchergenisse.';";
$trans["biblioSearchQueryErr2"]   = "\$text = 'Fehler beim Suchen nach Medieninformationen.';";
$trans["biblioSearchQueryErr3"]   = "\$text = 'Fehler beim Lesen der Medieninformationen.';";

#****************************************************************************
#*  Translation text for class BiblioCopy
#****************************************************************************
$trans["biblioCopyError1"]        = "\$text = 'Die Mediennummer wird bentigt.';";
$trans["biblioCopyError2"]        = "\$text = 'Die Mediennummer darf nur aus Buchstaben und/oder Zahlen bestehen.';";

#****************************************************************************
#*  Translation text for class BiblioCopyQuery
#****************************************************************************
$trans["biblioCopyQueryErr1"]     = "\$text = 'Fehler bei der Prfung der Mediennummer.';";
$trans["biblioCopyQueryErr2"]     = "\$text = 'Mediennummer %barcodeNmbr% wird bereits benutzt.';";
$trans["biblioCopyQueryErr3"]     = "\$text = 'Fehler beim Einfgen des neuen Exemplars.';";
$trans["biblioCopyQueryErr4"]     = "\$text = 'Fehler beim Zugriff auf das Exemplar.';";
$trans["biblioCopyQueryErr5"]     = "\$text = 'Fehler bei der Aktualisierung des Exemplars.';";
$trans["biblioCopyQueryErr6"]     = "\$text = 'Fehler beim Lschen des Exemplars.';";
$trans["biblioCopyQueryErr7"]     = "\$text = 'Fehler beim Zugriff auf die Medieninformation um den Genrecode zu bekommen.';";
$trans["biblioCopyQueryErr8"]     = "\$text = 'Fehler beim Zugriff auf die Genreinforamtionen um Rckgabe-Datum zu erstellen.';";
$trans["biblioCopyQueryErr9"]     = "\$text = 'Fehler bei der Rckgabe des Exemplars';";
$trans["biblioCopyQueryErr10"]    = "\$text = 'Fehler beim berprfen der Ausleihlimits';";

#****************************************************************************
#*  Translation text for class BiblioFieldQuery
#****************************************************************************
$trans["biblioFieldQueryErr1"]    = "\$text = 'Fehler beim Lesen eines Medienfeldes.';";
$trans["biblioFieldQueryErr2"]    = "\$text = 'Fehler beim Lesen eines Medienfeldes.';";
$trans["biblioFieldQueryInsertErr"] = "\$text = 'Fehler beim Einfgen eines Medienfeldes.';";
$trans["biblioFieldQueryUpdateErr"] = "\$text = 'Fehler beim Aktualisieren eines Medienfeldes.';";
$trans["biblioFieldQueryDeleteErr"] = "\$text = 'Fehler beim Lschen eines Medienfeldes.';";

#****************************************************************************
#*  Translation text for class UsmarcBlockDmQuery
#****************************************************************************
$trans["usmarcBlockDmQueryErr1"]  = "\$text = 'Fehler beim Zugriff auf die MARC-Blcke.';";

#****************************************************************************
#*  Translation text for class UsmarcTagDmQuery
#****************************************************************************
$trans["usmarcTagDmQueryErr1"]    = "\$text = 'Fehler beim Zugriff auf die MARC-Tags.';";

#****************************************************************************
#*  Translation text for class UsmarcSubfieldDmQuery
#****************************************************************************
$trans["usmarcSubfldDmQueryErr1"] = "\$text = 'Fehler beim Zugriff auf die MARC-Unterfelder.';";

#****************************************************************************
#*  Translation text for class BiblioHoldQuery
#****************************************************************************
$trans["biblioHoldQueryErr1"]     = "\$text = 'Fehler beim Zugriff auf Vorbestellung durch Mediennummer.';";
$trans["biblioHoldQueryErr2"]     = "\$text = 'Fehler beim Zugriff auf Vorbestellung durch Benutzernummer.';";
$trans["biblioHoldQueryErr3"]     = "\$text = 'Fehler bei der Vorbestellung wegen Prfung der Mediennummer.';";
$trans["biblioHoldQueryErr4"]     = "\$text = 'Fehler beim Einfgen der Vorbestellung.';";
$trans["biblioHoldQueryErr5"]     = "\$text = 'Fehler beim Lschen der Vorbestellung.';";
$trans["biblioHoldQueryErr6"]     = "\$text = 'Fehler beim Ermitteln der ersten Vorbestellung fr dieses Exemplar.';";

#****************************************************************************
#*  Translation text for class ReportQuery
#****************************************************************************
$trans["reportQueryErr1"]         = "\$text = 'Fehler beim Erstellen der Berichte.';";

#****************************************************************************
#*  Translation text for class ReportCriteria
#****************************************************************************
$trans["reportCriteriaErr1"]      = "\$text = 'Ein nichtmumerischer Wert ist in einer Zahlenspalte nicht erlaubt.';";
$trans["reportCriteriaDateTimeErr"] = "\$text = 'Ungltiges Zeitformat.';";
$trans["reportCriteriaDateErr"]   = "\$text = 'Ungltiges Datumsformat.';";

#****************************************************************************
#*  Translation text for class LabelFormat and LetterFormat
#****************************************************************************
$trans["labelFormatFontErr"]      = "\$text = 'Ungltige Schriftart in der Etikettendefinitionsdatei. Erlaubte Schriftarten sind Courier, Helvetica und Times-Roman.';";
$trans["labelFormatFontSizeErr"]  = "\$text = 'Ungltige Schriftgre in der Etikettendefinitionsdatei. Die Schriftgre mu numerisch sein.';";
$trans["labelFormatFontSizeErr2"] = "\$text = 'Ungltige Schriftgre in der Etikettendefinitionsdatei. Die Schriftgre mu grer als Null sein.';";
$trans["labelFormatLMarginErr"]   = "\$text = 'Ungltiger linker Rand in der Etikettendefinitionsdatei. Der linke Rand mu numerisch sein.';";
$trans["labelFormatLMarginErr2"]  = "\$text = 'Ungltiger linker Rand in der Etikettendefinitionsdatei. Der linke Rand mu grer als Null sein.';";
$trans["labelFormatRMarginErr"]   = "\$text = 'Ungltiger rechter Rand in der Etikettendefinitionsdatei. Der rechte Rand mu numerisch sein.';";
$trans["labelFormatRMarginErr2"]  = "\$text = 'Ungltiger rechter Rand in der Etikettendefinitionsdatei. Der rechte Rand mu grer als Null sein.';";
$trans["labelFormatTMarginErr"]   = "\$text = 'Ungltiger oberer Rand in der Etikettendefinitionsdatei. Der obere Rand mu numerisch sein.';";
$trans["labelFormatTMarginErr2"]  = "\$text = 'Ungltiger oberer Rand in der Etikettendefinitionsdatei. Der obere Rand mu grer als Null sein.';";
$trans["labelFormatBMarginErr"]   = "\$text = 'Ungltiger unterer Rand in der Etikettendefinitionsdatei. Der untere Rand mu numerisch sein.';";
$trans["labelFormatBMarginErr2"]  = "\$text = 'Ungltiger unterer Rand in der Etikettendefinitionsdatei. Der untere Rand mu grer als Null sein.';";
$trans["labelFormatColErr"]       = "\$text = 'Ungltige Spalten in der Etikettendefinitionsdatei. Die Spalten mssen numerisch sein.';";
$trans["labelFormatColErr2"]      = "\$text = 'Ungltige Spalten in der Etikettendefinitionsdatei. Die Spalten mssen grer als Null sein.';";
$trans["labelFormatWidthErr"]     = "\$text = 'Ungltige Breite in der Etikettendefinitionsdatei. Die Breite mu numerisch sein.';";
$trans["labelFormatWidthErr2"]    = "\$text = 'Ungltige Breite in der Etikettendefinitionsdatei. Die Breite mu grer als Null sein.';";
$trans["labelFormatHeightErr"]    = "\$text = 'Ungltige Hhe in der Etikettendefinitionsdatei. Die Hhe mu numerisch sein.';";
$trans["labelFormatHeightErr2"]   = "\$text = 'Ungltige Hhe in der Etikettendefinitionsdatei. Die Hhe mu grer als Null sein.';";
$trans["labelFormatNoLabelsErr"]  = "\$text = 'Ungltige Zeilen in der Etikettendefinitionsdatei.';";
$trans["labelFormatXmlError"]     = "\$text = 'XML Fehler: ';";
$trans["labelFormatLine"]         = "\$text = '\nZeilennummer: ';";
$trans["labelFormatColumn"]       = "\$text = '\nSpaltennummer: ';";

#****************************************************************************
#*  Translation text for class BiblioStatusHistQuery
#****************************************************************************
$trans["biblioStatusHistQueryErr1"] = "\$text = 'Fehler die Ausleihhistory durch die Mediennummer zu bekommen.';";
$trans["biblioStatusHistQueryErr2"] = "\$text = 'Fehler die Ausleihhistory durch die Benutzernummer zu bekommen.';";
$trans["biblioStatusHistQueryErr3"] = "\$text = 'Fehler beim Einfgen der Ausleihhistory';";
$trans["biblioStatusHistQueryErr4"] = "\$text = 'Fehler die Ausleihhistory durch die Mediennummer zu lschen.';";
$trans["biblioStatusHistQueryErr5"] = "\$text = 'Fehler die Ausleihhistory durch die Benutzernummer zu lschen.';";

#****************************************************************************
#*  Translation text for class MemberAccountTransaction
#****************************************************************************
$trans["memberAccountTransError1"]  = "\$text = 'Der Betrag wird bentigt.';";
$trans["memberAccountTransError2"]  = "\$text = 'Der Betrag mu numerisch sein.';";
$trans["memberAccountTransError3"]  = "\$text = 'Die Beschreibung wird bentigt.';";
$trans["memberAccountTransError4"]  = "\$text = 'Der Betrag mu grer als Null sein.';";

#****************************************************************************
#*  Translation text for class MemberAccountQuery
#****************************************************************************
$trans["memberAccountQueryErr1"]    = "\$text = 'Fehler beim Zugriff auf die Benutzerinformationen.';";
$trans["memberAccountQueryErr2"]    = "\$text = 'Fehler beim Einfgen von Benutzerinformationen.';";
$trans["memberAccountQueryErr3"]    = "\$text = 'Fehler beim Lschen von Benutzerinformationen.';";

#****************************************************************************
#*  Translation text for class Dm and DmQuery
#****************************************************************************

$trans["DmErr1"]                    = "\$text = 'Die Beschreibung ist bentigt.';";
$trans["DmErr2"]                    = "\$text = 'Die Ausleihdauer mu numerisch sein.';";
$trans["DmErr3"]                    = "\$text = 'Die Ausleihdauer darf nicht kleiner als Null sein.';";
$trans["DmErr4"]                    = "\$text = 'Die tgliche Sumnisgebhr mu numerisch sein.';";
$trans["DmErr5"]                    = "\$text = 'Die tgliche Sumnisgebhr darf nicht kleiner als Null sein.';";
$trans["DmErr6"]                    = "\$text = 'Das Ausleihlimit fr Erwachsene mu numerisch sein.';";
$trans["DmErr7"]                    = "\$text = 'Das Ausleihlimit fr Erwachsene darf nicht kleiner als Null sein.';";
$trans["DmErr8"]                    = "\$text = 'Das Verlngerungslimit fr Erwachsene mu numerisch sein.';";
$trans["DmErr9"]                    = "\$text = 'Das Verlngerungslimit fr Erwachsene darf nicht kleiner als Null sein.';";
$trans["DmErr10"]                   = "\$text = 'Das Ausleihlimit fr Jugendliche mu numerisch sein.';";
$trans["DmErr11"]                   = "\$text = 'Das Ausleihlimit fr Jugendliche darf nicht kleiner als Null sein.';";
$trans["DmErr12"]                   = "\$text = 'Das Verlngerungslimit fr Jugendliche mu numerisch sein.';";
$trans["DmErr13"]                   = "\$text = 'Das Verlngerungslimit fr Jugendliche darf nicht kleiner als Null sein.';";
$trans["DmQueryErr1"]               = "\$text = 'Fehler beim Zugriff auf die Tabelle %table% .';";
$trans["DmQueryErr2"]               = "\$text = 'Kann nur Spalten in Genre und Materialtypen einfgen.';";
$trans["DmQueryErr3"]               = "\$text = 'Fehler beim Einfgen in %table%';";
$trans["DmQueryErr4"]               = "\$text = 'Kann Statistiken nur von Genre und Materialtypen beziehen.';";
$trans["DmQueryErr5"]               = "\$text = 'Kann nur Spalten in Genre und Materialtypen aktualisieren.';";
$trans["DmQueryErr6"]               = "\$text = 'Fehler beim Aktualisieren von %table%';";
$trans["DmQueryErr7"]               = "\$text = 'Fehler beim Lschen aus %table%';";

#****************************************************************************
#*  Translation text for class DbConnection
#****************************************************************************

$trans["DbConnectErr1"]             = "\$text = 'Es ist nicht mglich sich mit der Datenbank zu verbinden';";
$trans["DbConnectErr2"]             = "\$text = 'Es ist nicht mglich die Datenbank zu schlieen';";
$trans["DbConnectErr3"]             = "\$text = 'Es ist nicht mglich die Suche durchzufhren';";
$trans["DbConnectErr4"]             = "\$text = 'Ungltiges Ergebnis. Die Suche mu erst durchgefhrt werden.';";

#****************************************************************************
#*  Translation text for class Member and MemberQuery
#****************************************************************************

$trans["MemberErr1"]                = "\$text = 'Die Benutzernummer wird bentigt.';";
$trans["MemberErr2"]                = "\$text = 'Die Benutzernummer darf nur Zahlen und Buchstaben enthalten.';";
$trans["MemberErr3"]                = "\$text = 'Der Nachname wird bentigt.';";
$trans["MemberErr4"]                = "\$text = 'Der Vorname wird bentigt.';";
$trans["MemberErr5"]                = "\$text = 'Die Postleitzahl mu numerisch sein.';";
$trans["MemberErr6"]                = "\$text = 'Die Postleitzahl darf keinen Punkt enthalten.';";
$trans["MemberErr7"]                = "\$text = 'Die Postleitzahlenerweiterung mu numerisch sein.';";
$trans["MemberErr8"]                = "\$text = 'Die Postleitzahlenerweiterung darf keinen Punkt enthalten.';";
$trans["MemberErr9"]                = "\$text = 'Die Schulklasse mu numerisch sein.';";
$trans["MemberErr10"]               = "\$text = 'Die Schulklasse darf keinen Punkt enthalten.';";
$trans["MemberQueryErr1"]           = "\$text = 'Fehler beim Zhlen der BenutzerSuche-Ergebnisse.';";
$trans["MemberQueryErr2"]           = "\$text = 'Fehler beim Suchen nach den Benutzern.';";
$trans["MemberQueryErr3"]           = "\$text = 'Fehler beim Zugriff auf die Benutzerinformationen.';";
$trans["MemberQueryErr4"]           = "\$text = 'Fehler beim Prfen von doppelten Benutzernummern.';";
$trans["MemberQueryErr5"]           = "\$text = 'Fehler beim Einfgen eines neuen Benutzers.';";
$trans["MemberQueryErr6"]           = "\$text = 'Fehler beim Aktualisieren eines Mitglieds.';";
$trans["MemberQueryErr7"]           = "\$text = 'Fehler beim Lschen des Benutzers.';";
$trans["MemberQueryErr8"]           = "\$text = 'Fehler beim Erstellen des nchsten Barcode.';";

#****************************************************************************
#*  Translation text for class SessionQuery
#****************************************************************************

$trans["SessionQueryErr1"]          = "\$text = 'Fehler beim Zugriff auf die Sessioninformationen.';";
$trans["SessionQueryErr2"]          = "\$text = 'Fehler beim Lschen von Sessioninformationen.';";
$trans["SessionQueryErr3"]          = "\$text = 'Fehler beim Erstellen einer neuen Session.';";
$trans["SessionQueryErr4"]          = "\$text = 'Fehler beim Aktualisieren des Sessiontimeout.';";

#****************************************************************************
#*  Translation text for class Settings
#****************************************************************************

$trans["SettingsErr1"]              = "\$text = 'Der SessionTimeout mu numerisch sein.';";
$trans["SettingsErr2"]              = "\$text = 'Der SessionTimeout mu grer als Null sein';";
$trans["SettingsErr3"]              = "\$text = 'Ergebnisse pro Seite mu numerisch sein.';";
$trans["SettingsErr4"]              = "\$text = 'Ergebnisse pro Seite mssen grer als Null sein.';";
$trans["SettingsErr5"]              = "\$text = 'Die Monate mssen numerisch sein.';";
$trans["SettingsQueryErr1"]         = "\$text = 'Fehler beim Zugriff auf die Bibliothekseinstellungen.';";
$trans["SettingsQueryErr2"]         = "\$text = 'Fehler beim Aktualisieren der Bibliothekseinstellungen';";
$trans["SettingsQueryErr3"]         = "\$text = 'Fehler beim Aktualisieren des benutzen Thema';";
$trans["SettingsQueryErr4"]         = "\$text = 'Fehler beim Aktualisieren des benutzen Thema';";

#****************************************************************************
#*  Translation text for class Settings and SettingsQuery
#****************************************************************************

$trans["StaffErr1"]                = "\$text = 'Der Nachname ist bentigt';";
$trans["StaffErr2"]                = "\$text = 'Der Username mu mindestens 4 Zeichen enthalten';";
$trans["StaffErr3"]                = "\$text = 'Der Username darf keine Leerzeichen enthalten.';";
$trans["StaffErr4"]                = "\$text = 'Das Passwort mu mindestens 4 Zeichen lang sein.';";
$trans["StaffErr5"]                = "\$text = 'Das Passwort darf keine Leerzeichen enthalten';";
$trans["StaffErr6"]                = "\$text = 'Die Passwrter stimmen nicht berein.';";
$trans["StaffQueryErr1"]           = "\$text = 'Fehler beim Zugriff auf die Mitarbeiterinformationen.';";
$trans["StaffQueryErr2"]           = "\$text = 'Fehler bei der berprfung von Benutzername und Passwort.';";
$trans["StaffQueryErr3"]           = "\$text = 'Fehler beim deaktivieren eines Mitarbeiter.';";
$trans["StaffQueryErr4"]           = "\$text = 'Fehler bei der berprfung von doppelten Benutzernamen.';";
$trans["StaffQueryErr5"]           = "\$text = 'Der Benutzername wird bereits benutzt.';";
$trans["StaffQueryErr6"]           = "\$text = 'Fehler beim Einfgen eines neuen Mitarbeiter.';";
$trans["StaffQueryErr7"]           = "\$text = 'Fehler bei der Aktualisierung des Mitarbeiters.';";
$trans["StaffQueryErr8"]           = "\$text = 'Fehler beim ndern des Passwortes.';";
$trans["StaffQueryErr9"]           = "\$text = 'Fehler beim Lschen eines Mitarbeiters.';";

#****************************************************************************
#*  Translation text for class Theme and ThemeQuery
#****************************************************************************

$trans["ThemeErr1"]                    = "\$text = 'Der Layout-Name wird bentigt.';";
$trans["ThemeErr2"]                    = "\$text = 'Die Hintergrundfarbe der Titelzeile wird bentigt.';";
$trans["ThemeErr3"]                    = "\$text = 'Die Schriftart der Titelzeile wird bentigt.';";
$trans["ThemeErr4"]                    = "\$text = 'Die Schriftfarbe der Titelzeile wird bentigt.';";
$trans["ThemeErr5"]                    = "\$text = 'Die Hintergrundfarbe des Hauptfenster wird bentigt.';";
$trans["ThemeErr6"]                    = "\$text = 'Die Schriftart des Hauptfensters wird bentigt.';";
$trans["ThemeErr7"]                    = "\$text = 'Die Schriftfarbe des Hauptfensters wird bentigt.';";
$trans["ThemeErr8"]                    = "\$text = 'Die Linkfarbe des Hauptfensters wird bentigt.';";
$trans["ThemeErr9"]                    = "\$text = 'Die Fehlerfarbe des Hauptfensters wird bentigt.';";
$trans["ThemeErr10"]                    = "\$text = 'Die Hintergrundfarbe des Navigationsfenster wird bentigt.';";
$trans["ThemeErr11"]                    = "\$text = 'Die Schriftart des Navigationsfensters wird bentigt.';";
$trans["ThemeErr12"]                    = "\$text = 'Die Schriftfarbe des Navigationsfensters wird bentigt.';";
$trans["ThemeErr13"]                    = "\$text = 'Die Linkfarbe des Navigationsfensters wird bentigt.';";
$trans["ThemeErr14"]                    = "\$text = 'Die Hintergrundfarbe des Reiter wird bentigt.';";
$trans["ThemeErr15"]                    = "\$text = 'Die Schriftart des Reiter wird bentigt.';";
$trans["ThemeErr16"]                    = "\$text = 'Die Schriftfarbe des Reiters wird bentigt.';";
$trans["ThemeErr17"]                    = "\$text = 'Die Linkfarbe des Reiters wird bentigt.';";
$trans["ThemeErr18"]                    = "\$text = 'Die Tabellenrahmen-Farbe wird bentigt.';";
$trans["ThemeErr19"]                    = "\$text = 'Die Schriftgre der Titelzeile mu numerisch sein.';";
$trans["ThemeErr20"]                    = "\$text = 'Die Schriftgre der Titelzeile darf keinen Punkt enthalten.';";
$trans["ThemeErr21"]                    = "\$text = 'Die Schriftgre der Titelzeile mu grer als Null sein.';";
$trans["ThemeErr22"]                    = "\$text = 'Die Schriftgre des Hauptfensters mu numerisch sein.';";
$trans["ThemeErr23"]                    = "\$text = 'Die Schriftgre des Hauptfensters darf keinen Punkt enthalten.';";
$trans["ThemeErr24"]                    = "\$text = 'Die Schriftgre des Hauptfensters mu grer als Null sein.';";
$trans["ThemeErr25"]                    = "\$text = 'Die Schriftgre des Navigationsfensters mu numerisch sein.';";
$trans["ThemeErr26"]                    = "\$text = 'Die Schriftgre des Navigationsfensters darf keinen Punkt enthalten.';";
$trans["ThemeErr27"]                    = "\$text = 'Die Schriftgre des Navigationsfensters mu grer als Null sein.';";
$trans["ThemeErr28"]                    = "\$text = 'Die Schriftgre des Reiters mu numerisch sein.';";
$trans["ThemeErr29"]                    = "\$text = 'Die Schriftgre des Reiters darf keinen Punkt enthalten.';";
$trans["ThemeErr30"]                    = "\$text = 'Die Schriftgre des Reiters mu grer als Null sein.';";
$trans["ThemeErr31"]                    = "\$text = 'Die Tabellenrahmen-Breite mu numerisch sein.';";
$trans["ThemeErr32"]                    = "\$text = 'Die Tabellenrahmen-Breite darf keinen Punkt enthalten.';";
$trans["ThemeErr33"]                    = "\$text = 'Die Tabellenrahmen-Breite mu grer als Null sein.';";
$trans["ThemeErr34"]                    = "\$text = 'Der Tabellenzellen Innenabstand mu numerisch sein.';";
$trans["ThemeErr35"]                    = "\$text = 'Der Tabellenzellen Innenabstand darf keinen Punkt enthalten.';";
$trans["ThemeErr36"]                    = "\$text = 'Der Tabellenzellen Innenabstand mu grer als Null sein.';";
$trans["ThemeQueryErr1"]                = "\$text = 'Fehler beim Zugriff auf die Layoutinformationen.';";
$trans["ThemeQueryErr2"]                = "\$text = 'Fehler beim Einfgen eines neuen Layouts.';";
$trans["ThemeQueryErr3"]                = "\$text = 'Fehler beim Aktualisieren eines Layouts.';";
$trans["ThemeQueryErr4"]                = "\$text = 'Fehler beim Lschen eines Layouts.';";

#****************************************************************************
#*  Translation text for class InstallQuery
#****************************************************************************

$trans["InstallQueryErr1"]              = "\$text = 'SQL-Fehler bei der Installation.';";
$trans["InstallQueryErr2"]              = "\$text = 'Fehler beim Lschen von Tabelle';";

?>
