<?php
/**********************************************************************************
 *   Copyright(C) 2002 David Stevens
 *
 *   This file is part of OpenBiblio.
 *
 *   OpenBiblio is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OpenBiblio is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OpenBiblio; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************************
 */

/**********************************************************************************
 *   Instructions for translators:
 *
 *   All gettext key/value pairs are specified as follows:
 *     $trans["key"] = "<php translation code to set the $text variable>";
 *   Allowing translators the ability to execute php code withint the transFunc string
 *   provides the maximum amount of flexibility to format the languange syntax.
 *
 *   Formatting rules:
 *   - Resulting translation string must be stored in a variable called $text.
 *   - Input arguments must be surrounded by % characters (i.e. %pageCount%).
 *   - A backslash ('\') needs to be placed before any special php characters 
 *     (such as $, ", etc.) within the php translation code.
 *
 *   Simple Example:
 *     $trans["homeWelcome"]       = "\$text='Welcome to OpenBiblio';";
 *
 *   Example Containing Argument Substitution:
 *     $trans["searchResult"]      = "\$text='page %page% of %pages%';";
 *
 *   Example Containing a PHP If Statment and Argument Substitution:
 *     $trans["searchResult"]      = 
 *       "if (%items% == 1) {
 *         \$text = '%items% result';
 *       } else {
 *         \$text = '%items% results';
 *       }";
 *
 **********************************************************************************
 */

#****************************************************************************
#*  Translation text shared by various php files under the navbars dir
#****************************************************************************
$trans["login"]                    = "\$text = 'Login';";
$trans["logout"]                   = "\$text = 'Logout';";
$trans["help"]                     = "\$text = 'Hilfe';";

#****************************************************************************
#*  Translation text for page home.php
#****************************************************************************
$trans["homeHomeLink"]             = "\$text = 'Startseite';";
$trans["homeLicenseLink"]          = "\$text = 'Lizenz';";

#****************************************************************************
#*  Translation text for page admin.php
#****************************************************************************
$trans["adminSummary"]             = "\$text = 'Admin-bersicht';";
$trans["adminStaff"]               = "\$text = 'Mitarbeiter';";
$trans["adminSettings"]            = "\$text = 'Bibliothekseinst.';";
$trans["adminMaterialTypes"]       = "\$text = 'Medienarten';";
$trans["adminCollections"]         = "\$text = 'Genres';";
$trans["adminThemes"]              = "\$text = 'Layout';";
$trans["adminTranslation"]         = "\$text = 'bersetzung';";

#****************************************************************************
#*  Translation text for page cataloging.php
#****************************************************************************
$trans["catalogSummary"]           = "\$text = 'Katalogisierung';";
$trans["catalogSearch1"]           = "\$text = 'Mediensuche';";
$trans["catalogSearch2"]           = "\$text = 'Mediensuche';";
$trans["catalogResults"]           = "\$text = 'Suchergebnisse';";
$trans["catalogBibInfo"]           = "\$text = 'Medieninformationen';";
$trans["catalogBibEdit"]           = "\$text = 'Med. bearb.';";
$trans["catalogBibEditMarc"]       = "\$text = 'MARC bearb.';";
$trans["catalogBibMarcNewFld"]     = "\$text = 'Neues MARC Feld';";
$trans["catalogBibMarcNewFldShrt"] = "\$text = 'Neues MARC';";
$trans["catalogBibMarcEditFld"]    = "\$text = 'Bearb. MARC Feld';";
$trans["catalogCopyNew"]           = "\$text = 'Neues Exem.';";
$trans["catalogCopyEdit"]          = "\$text = 'Bearb. Exem.';";
$trans["catalogHolds"]             = "\$text = 'Vorbestellungen';";
$trans["catalogDelete"]            = "\$text = 'Lsche';";
$trans["catalogBibNew"]            = "\$text = 'Neues Medium';";
$trans["Upload Marc Data"]         = "\$text = 'MARC Daten laden';";
$trans["catalogBibNewLike"]        = "\$text = 'hnliches Neu';";

#****************************************************************************
#*  Translation text for page reports.php
#****************************************************************************
$trans["reportsSummary"]           = "\$text = 'Berichte bersicht';";
$trans["reportsReportListLink"]    = "\$text = 'Berichte';";
$trans["reportsLabelsLink"]        = "\$text = 'Etiketten';";
$trans["reportsLettersLink"]        = "\$text = 'Briefe';";

#****************************************************************************
#*  Translation text for page opac.php
#****************************************************************************
$trans["catalogSearch1"]           = "\$text = 'Suche';";
$trans["catalogSearch2"]           = "\$text = 'Mediensuche';";
$trans["catalogResults"]           = "\$text = 'Suchergebnisse';";
$trans["catalogBibInfo"]           = "\$text = 'Medieninfo';";

#Added

$trans["memberInfo"]="\$text = 'Benutzerinfos';";
$trans["memberSearch"]="\$text = 'Benutzersuche';";
$trans["editInfo"]="\$text = 'Bearb. Infos';";
$trans["checkoutHistory"]= "\$text = 'Ausleih-History';";
$trans["account"]="\$text = 'Gebhren';";
$trans["checkIn"]="\$text = 'Medienrckgabe';";
$trans["memberSearch"]= "\$text = 'Benutzersuche';";
$trans["newMember"]= "\$text = 'Neuer Benutzer';";
//$trans["account"]        	= "\$text = 'Account';";
?>
